Subject: Re: [EAI] ORCPT / RFC3461

From: Alexey Melnikov <[email-masked]>
Date: Mon, 14 Aug 2006 18:22:20 +0100

Yangwoo Ko wrote:

> At a first glance, ORCPT is flexible than most of existing email
> address slots.
> I guess we may use something like;
>
>    ORCPT=utf8smtp; utf8@idn ALT-ADDR=all-ASCII@domain

Yes, something like this would work. Sadly, RFC 3461 says:

|4.2 The ORCPT parameter to the ESMTP RCPT command
|
|   Due to limitations in the Delivery Status Notification format, the
|   value of the original recipient address prior to encoding as "xtext"
|   MUST consist entirely of printable (graphic and white space)
|   characters from the US-ASCII [4] repertoire.  If an addr-type is
|   defined for addresses which use characters outside of this
|   repertoire, the specification for that addr-type MUST define the
|   means of encoding those addresses in printable US-ASCII characters
|   when are then encoded as xtext.

So we should either remove this requirement or invent an US-ASCII 
encoding of the UTF-8 address.

> If we do this, then EAI downgrade procedure also needs to handle
> this if session downgrade is inevitable.

Right.

I wonder how existing implementations handle unrecognized <addr-type>s 
in ORCPT. I hope they are treating them as opaque strings.

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: Tony Finch <[email-masked]>
Date: Mon, 14 Aug 2006 21:54:29 +0100

On Mon, 14 Aug 2006, Alexey Melnikov wrote:
>
> I wonder how existing implementations handle unrecognized <addr-type>s in
> ORCPT. I hope they are treating them as opaque strings.

It looks like utf8smtp will be the second addr-type after rfc822, which is
slightly surprising. I would have thought there'd be something for x.400
gatewaying.

Tony.
-- 
f.a.n.finch  <[email-masked]>  http://dotat.at/
FISHER: WEST OR NORTHWEST 4 OR 5 BECOMING VARIABLE 3 OR 4. FAIR. MODERATE OR
GOOD.

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 15 Aug 2006 11:36:24 +0100

>slightly surprising. I would have thought there'd be something for x.400
RFC 2156 section 3.1 defines "x400" addr-type.
Isode MTA (M-Switch) supports it..

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 15 Aug 2006 13:09:44 +0100

Tony Finch wrote:

>On Tue, 15 Aug 2006, Alexey Melnikov wrote:
>  
>
>In that case http://www.iana.org/assignments/mail-parameters needs to be
>corrected.
>  
>
Good point.
I've just sent a message to iana and Ted Hardie regarding this.

---

From: Tony Finch <[email-masked]>
Date: Tue, 15 Aug 2006 13:00:21 +0100

Tony.